com.sap.ecm.api

## Class RepositoryOptions

- java.lang.Object
- - com.sap.ecm.api.RepositoryOptions

-     public class RepositoryOptions
      extends Object

  This class defines various repository options necessary to create a new repository.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RepositoryOptions.Visibility` Specifies the repository visibility level.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getDisplayName()`
    `String` | `getRepositoryKey()`
    `String` | `getUniqueName()`
    `RepositoryOptions.Visibility` | `getVisibility()`
    `Boolean` | `isMultiTenantCapable()`
    `boolean` | `isVirusScannerEnabled()`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setMultiTenantCapable(boolean multiTenantCapable)`
    `void` | `setRepositoryKey(String repositoryKey)`
    `void` | `setUniqueName(String uniqueName)`
    `void` | `setVirusScannerEnabled(boolean virusScannerEnabled)`
    `void` | `setVisibility(RepositoryOptions.Visibility visibility)`
    `String` | `validate()` Validates this object and returns an error message if wrong parameters are supplied or parameters are missing.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryOptions

          public RepositoryOptions()

  - ### Method Detail

    - #### setUniqueName

          public void setUniqueName(String uniqueName)

      Parameters:
        `uniqueName` - Example: com.sap.app.MyRepositoryName
        The unique name of the repository. This name can be used later on to lookup the repository. Should be constructed like full-qualified java names to avoid collisions.

    - #### setDisplayName

          public void setDisplayName(String displayName)

      Parameters:
        `displayName` - A human readable name of the repository, typically used by UIs to display the name of the repository. Does not necessarily needs to be unique. Optional parameter.

    - #### setDescription

          public void setDescription(String description)

      Parameters:
        `description` - A human readable description of the repository, typically used by UIs to display information about the used repository. Optional parameter.

    - #### setVisibility

          public void setVisibility(RepositoryOptions.Visibility visibility)

      Parameters:
        `visibility` - The visibility and isolation level of the repository.

    - #### setRepositoryKey

          public void setRepositoryKey(String repositoryKey)

      Parameters:
        `repositoryKey` - Only relevant for isolation level of `Visibility.PROTECTED`. This key will be used to authenticate requesting apps. Only applications providing this authentication key will be allowed to connect to this repository.
        For all other visibilities, this parameter is optional.

    - #### setMultiTenantCapable

          public void setMultiTenantCapable(boolean multiTenantCapable)

      Parameters:
        `multiTenantCapable` - This option is unused at the moment.

    - #### setVirusScannerEnabled

          public void setVirusScannerEnabled(boolean virusScannerEnabled)

      Parameters:
        `virusScannerEnabled` - If set to `true`, all documents will be scanned for viruses on upload and upload will be blocked if a virus was found. Note that this naturally impacts write performance of the repository! Defaults to `false`.

    - #### validate

          public String validate()

      Validates this object and returns an error message if wrong parameters are supplied or parameters are missing. `null` is returned if everything is OK.
      Returns:
        `null` if everything is OK, an error message otherwise.

    - #### getUniqueName

          public String getUniqueName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getDescription

          public String getDescription()

    - #### getVisibility

          public RepositoryOptions.Visibility getVisibility()

    - #### getRepositoryKey

          public String getRepositoryKey()

    - #### isMultiTenantCapable

          public Boolean isMultiTenantCapable()

    - #### isVirusScannerEnabled

          public boolean isVirusScannerEnabled()

Copyright © 2020 SAP. All Rights Reserved.